Bug 1958417 - missing file magit-git.el
Summary: missing file magit-git.el
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs-magit
Version: 34
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tulio Magno Quites Machado Filho
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-07 20:55 UTC by Clark Williams
Modified: 2021-06-18 21:29 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-18 21:29:16 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Clark Williams 2021-05-07 20:55:40 UTC
Description of problem:

Updated to latest version of emacs-magit and emacs startup threw the following error:

------------
Warning (initialization): An error occurred while loading ‘/home/williams/.emacs’:

File is missing: Cannot open load file, No such file or directory, magit-git

To ensure normal operation, you should investigate and remove the
cause of the error in your initialization file.  Start Emacs with
the ‘--debug-init’ option to view a complete error backtrace.
------------

$ rpm -ql emacs-magit | grep magit-git
/usr/share/emacs/site-lisp/magit/magit-gitignore.el
/usr/share/emacs/site-lisp/magit/magit-gitignore.elc

No magit-git.el in the rpm.

Checked the git tree on github and there is indeed a magit-git.el

Version-Release number of selected component (if applicable):

$ rpm -q emacs-magit
emacs-magit-2.90.1-1.20200909gitd58d520e5.fc34.noarch

How reproducible:
always

Steps to Reproduce:
1. install latest version of emacs-magit
2. add to ~/.emacs the line:  (require 'magit)
3. run emacs; it will throw the error while loading magit

Additional info:

Haven't checked specfile logic but suspect that it was just omitted.

Comment 1 Tulio Magno Quites Machado Filho 2021-05-07 21:19:51 UTC
This has already been fixed and the update is testing: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5f1869cbdd

Feedback is welcome!

Comment 2 Clark Williams 2021-05-10 14:53:56 UTC
The above update fixes my issues.

Thanks!


Note You need to log in before you can comment on or make changes to this bug.